#!/bin/bash

# usage:
# ./Catalog.sh <text_file_name>.txt
#
# where <text_file_name>.txt has the following format:
#
#PDB_ID\tChain_ID\n
#PDB_ID\tChain_ID\n
#
#


DATA="$HOME"/Rna3Dmotif/DATA/
OUTPUT=CATALOGUE

if [ -d "$OUTPUT" ]; then
	rm -rf "$OUTPUT"
fi
mkdir "$OUTPUT"
mkdir DESC
mkdir VIEW3D

./Format.sh $1

echo Building the catalogue. Please wait...

while read line
do
	len=${#line}
	PDB_ID=${line:0:4}
	Chain_ID=${line:5:5}
	mv "$DATA"/"$PDB_ID".pdb . 
	./makeEi $PDB_ID $Chain_ID
	./secrna "$PDB_ID"."$Chain_ID".ebpseq
	./catalog $PDB_ID $Chain_ID
	mv "$PDB_ID".pdb "$DATA"/ 

	for fichier in *.desc
	do
		mv $fichier DESC/
	done

	for fichier in "$PDB_ID"."$Chain_ID".*.pdb
	do
		mv $fichier VIEW3D/
	done

	rm "$PDB_ID"."$Chain_ID".*.txt
	rm "$PDB_ID"."$Chain_ID".ebpseq 

done < $1

mv "index.html" "$OUTPUT"/
mv DESC "$OUTPUT"/
mv VIEW3D "$OUTPUT"/

rm *.ebpseq 
rm *.seq
rm *.pairs

echo See results "in" folder "$OUTPUT".