#!/bin/bash

DATA="$HOME"/Rna3Dmotif/DATA/

# make file PDB_ID.Chain_ID.seq
echo "Formating sequence..."
while read line
do
	echo $line
	len=${#line}
	PDB_ID=${line:0:4}
	Chain_ID=${line:5:5}
	./remove_header < "$DATA"/"$PDB_ID"_backbone_connectivity_FR3D.txt > $PDB_ID.bkb
	sleep 3
	./make_seq $PDB_ID
	./make_seq_chain $PDB_ID $Chain_ID > "$PDB_ID"."$Chain_ID".seq
#	mv $PDB_ID.seq $INPUT
	rm $PDB_ID.bkb
done < $1

# make file PDB_ID.Chain_ID.pairs
echo "Formating pairs..."
while read line
do
	echo $line
	len=${#line}
	PDB_ID=${line:0:4}
	Chain_ID=${line:5:5}
	./remove_header < "$DATA"/"$PDB_ID"_basepairs_FR3D.txt > $PDB_ID.txt
	sleep 3
	./remove_header < "$DATA"/"$PDB_ID"_stacking_FR3D.txt >> $PDB_ID.txt
	sleep 3
	./make_pairs $PDB_ID
	./make_pairs_chain $PDB_ID $Chain_ID > "$PDB_ID"."$Chain_ID".pairs
#	mv $PDB_ID.pairs $INPUT
	rm $PDB_ID.txt
done < $1