#!/bin/bash

# usage:
# ./Ljcns.sh PDB_ID_1 Chain_ID_1 SE_ID_1 PDB_ID_2 Chain_ID_2 SE_ID_2
#

echo "Processing your request. Please wait..."
DATA="$HOME"/Rna3Dmotif/DATA/

PDB_ID_1=$1
Chain_ID_1=$2
SE_ID_1=$3
PDB_ID_2=$4
Chain_ID_2=$5
SE_ID_2=$6

# Format_PDB_CHAIN.sh $1 $4
# make file PDB_ID.Chain_ID.seq
# echo "Processing sequence..."
./remove_header < "$DATA"/"$PDB_ID_1"_backbone_connectivity_FR3D.txt > $PDB_ID_1.bkb
./remove_header < "$DATA"/"$PDB_ID_2"_backbone_connectivity_FR3D.txt > $PDB_ID_2.bkb
sleep 3
./make_seq $PDB_ID_1
./make_seq $PDB_ID_2
./make_seq_chain $PDB_ID_1 $Chain_ID_1 > "$PDB_ID_1"."$Chain_ID_1".seq
./make_seq_chain $PDB_ID_2 $Chain_ID_2 > "$PDB_ID_2"."$Chain_ID_2".seq

rm $PDB_ID_1.bkb
if [ $PDB_ID_1 != $PDB_ID_2 ]; then
	rm $PDB_ID_2.bkb
fi

# make file PDB_ID.Chain_ID.pairs
#echo "Processing pairs..."
./remove_header < "$DATA"/"$PDB_ID_1"_basepairs_FR3D.txt > $PDB_ID_1.txt
./remove_header < "$DATA"/"$PDB_ID_2"_basepairs_FR3D.txt > $PDB_ID_2.txt
sleep 3
./remove_header < "$DATA"/"$PDB_ID_1"_stacking_FR3D.txt >> $PDB_ID_1.txt
./remove_header < "$DATA"/"$PDB_ID_2"_stacking_FR3D.txt >> $PDB_ID_2.txt
sleep 3
./make_pairs $PDB_ID_1
./make_pairs $PDB_ID_2
./make_pairs_chain $PDB_ID_1 $Chain_ID_1 > "$PDB_ID_1"."$Chain_ID_1".pairs
./make_pairs_chain $PDB_ID_2 $Chain_ID_2 > "$PDB_ID_2"."$Chain_ID_2".pairs
rm $PDB_ID_1.txt
if [ $PDB_ID_1 != $PDB_ID_2 ]; then
	rm $PDB_ID_2.txt
fi

#start pgm
./makeEi1 $PDB_ID_1 $Chain_ID_1
./makeEi1 $PDB_ID_2 $Chain_ID_2
sleep 3
./secrna "$PDB_ID_1"."$Chain_ID_1".ebpseq
./secrna "$PDB_ID_2"."$Chain_ID_2".ebpseq
sleep 3
./ljcns $PDB_ID_1 $Chain_ID_1 $SE_ID_1 $PDB_ID_2 $Chain_ID_2 $SE_ID_2


rm *.ebpseq 
rm *.seq
rm *.pairs

rm $PDB_ID_1.*.txt
if [ $PDB_ID_1 != $PDB_ID_2 ]; then
	rm $PDB_ID_2.*.txt
fi

